#
# spec file for package cpphs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name cpphs
Name:           %{pkg_name}
Version:        1.20.3
Release:        1.11
Summary:        A liberalised re-implementation of cpp, the C pre-processor
License:        GPL-2.0 AND LGPL-2.1
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-polyparse-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Cpphs is a re-implementation of the C pre-processor that is both more
compatible with Haskell, and itself written in Haskell so that it can be
distributed with compilers.

This version of the C pre-processor is pretty-much feature-complete and
compatible with traditional (K&R) pre-processors. Additional features include:
a plain-text mode; an option to unlit literate code files; and an option to
turn off macro-expansion.

%package -n ghc-%{name}
Summary:        Haskell %{name} library
License:        LGPL-2.1
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.

%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
License:        LGPL-2.1
Group:          Development/Libraries/Other
Requires:       ghc-%{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%prep
%setup -q

%build
%ghc_lib_build

%install
%ghc_lib_install
install -D --mode=444 docs/cpphs.1 %{buildroot}%{_mandir}/man1/cpphs.1
chmod a-x LICENCE-* README docs/*

%post -n ghc-%{name}-devel
%ghc_pkg_recache

%postun -n ghc-%{name}-devel
%ghc_pkg_recache

%files
%defattr(-,root,root,-)
%doc LICENCE-LGPL
%doc LICENCE-GPL LICENCE-commercial README docs
%{_bindir}/%{name}
%{_mandir}/man1/cpphs.1%{ext_man}

%files -n ghc-%{name} -f ghc-%{name}.files
%defattr(-,root,root,-)
%doc LICENCE-LGPL

%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%defattr(-,root,root,-)
%doc LICENCE-GPL LICENCE-commercial README docs

%changelog
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.20.3 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.20.2 revision 0 with cabal2obs.
* Sat Jul 23 2016 jengelh@inai.de
- SRPM license field should contain all licenses. In addition,
  I see no obvious "or later" clauses.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.20.1 revision 0 with cabal2obs.
* Mon Mar  7 2016 mimi.vx@gmail.com
- update to 1.20.1
* Fri Mar  4 2016 mimi.vx@gmail.com
- update to 1.20
  * bugfixes for #if defined(FOO) && FOO(a,b)
* Mon Aug 31 2015 mimi.vx@gmail.com
- update to 1.19.3
  * bugfix for hlint ticket #161 - interaction of --unlit/--linepragma
* Tue Aug  4 2015 mimi.vx@gmail.com
- update to 1.19.2
  * don't warn about trailing comments in #ifdefs
  * fix build error
* Thu May 28 2015 mimi.vx@gmail.com
- correct license
* Thu May 14 2015 mimi.vx@gmail.com
- regenerated spec with cabal-rpm
* Thu Apr 16 2015 mimi.vx@gmail.com
- update to 1.19
- change licence
- remove rpmlintrc
  * expose more of the cpphs API
  * allow the static linking exception to the LGPL
* Sun Feb 22 2015 mimi.vx@gmail.com
- update to 1.18.9
  * accept #if defined foo as well as #if defined(foo)
* Sun Feb  1 2015 mimi.vx@gmail.com
- update to 1.18.8
  * bugfix to accept a #include with absolute filepath
  * fix version number
* Sat Nov 22 2014 mimi.vx@gmail.com
- change mv to install
* Fri Nov 21 2014 mimi.vx@gmail.com
- add filter to suppres warning.
* Fri Nov 21 2014 mimi.vx@gmail.com
- update to 1.18.6
- add manpage, new deps - ghc-polyparse
* Mon Jan 27 2014 peter.trommler@ohm-hochschule.de
- update to 1.17.1
- spec file regenerated by cabal-rpm
* Thu Jun  7 2012 herbert@graeber-clan.de
- update to version 1.13.3
  spec file template generated by cabal2spec-0.25.5
  Thu Jan 19 20:52:27 UTC 2012 - herbert@graeber-clan.de
- add defattr to file lists
  Thu Jan 19 19:26:15 UTC 2012 - herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
